Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch.event
Class LocalSearchSolverPhaseLifecycleListenerAdapter

    java.lang.Object
      org.drools.planner.core.solver.event.SolverLifecycleListenerAdapter
          org.drools.planner.core.localsearch.event.LocalSearchSolverPhaseLifecycleListenerAdapter

All Implemented Interfaces:
  EventListener, LocalSearchSolverPhaseLifecycleListener, SolverLifecycleListener

Direct Known Subclasses:
  AbstractAcceptor, AbstractDeciderScoreComparatorFactory, AbstractForager

    public abstract class LocalSearchSolverPhaseLifecycleListenerAdapter

extends SolverLifecycleListenerAdapter
implements LocalSearchSolverPhaseLifecycleListener

Constructor Summary
`LocalSearchSolverPhaseLifecycleListenerAdapter()`

Method Summary
`void` | `phaseEnded(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)`
`void` | `phaseStarted(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)`
`void` | `stepEnded(LocalSearchStepScope localSearchStepScope)`
`void` | `stepStarted(LocalSearchStepScope localSearchStepScope)`

Methods inherited from class org.drools.planner.core.solver.event.SolverLifecycleListenerAdapter
`solvingEnded, solvingStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Constructor Detail

### LocalSearchSolverPhaseLifecycleListenerAdapter

    public LocalSearchSolverPhaseLifecycleListenerAdapter()

Method Detail

### phaseStarted

    public void phaseStarted(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)

  Specified by:
    `phaseStarted` in interface `LocalSearchSolverPhaseLifecycleListener`

### stepStarted

    public void stepStarted(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `stepStarted` in interface `LocalSearchSolverPhaseLifecycleListener`

### stepEnded

    public void stepEnded(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `stepEnded` in interface `LocalSearchSolverPhaseLifecycleListener`

### phaseEnded

    public void phaseEnded(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)

  Specified by:
    `phaseEnded` in interface `LocalSearchSolverPhaseLifecycleListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.